Bug 240034 - rpm verify fails on luci
rpm verify fails on luci
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 11:51 EDT by Brian Brock
Modified: 2009-04-16 18:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the user owner and rights for the /usr/lib64/luci directory (2.37 MB, text/plain)
2007-07-16 11:08 EDT, Tim Kramer
no flags Details
Here is the /var/lib/luci owner and rights. (20.80 KB, text/plain)
2007-07-16 11:09 EDT, Tim Kramer
no flags Details

  None (edit)
Description Brian Brock 2007-05-14 11:51:20 EDT
`rpm -V luci` on freshly installed packages fails.
luci-0.9.2-6.el5 and earlier

# rpm -V luci
S.5....T   /var/lib/luci/.default_password_has_been_reset
S.5....T   /var/lib/luci/var/Data.fs
S.5....T   /var/lib/luci/var/Data.fs.index
missing     /var/lib/luci/var/Data.fs.lock
S.5....T   /var/lib/luci/var/Data.fs.old
S.5....T   /var/lib/luci/var/Data.fs.tmp


fully reproducible with any version of luci packages tested.

Expected rpm -V output to be empty on freshly-installed packages.
Comment 1 Ryan McCabe 2007-06-05 01:30:06 EDT
All of the warnings except for the Data.fs should be gone now. Data.fs has to
change during installation in order to set the admin password to a random value.
Comment 2 RHEL Product and Program Management 2007-06-06 11:46:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Tim Kramer 2007-07-16 11:04:13 EDT
if we:
chmod 755 /usr/lib64/luci
/sbin/service luci restart

Everything works.
Comment 5 Tim Kramer 2007-07-16 11:08:54 EDT
Created attachment 159332 [details]
This is the user owner and rights for the /usr/lib64/luci directory

If I:
chmod 755 /usr/lib64/luci
I can start Luci.
Comment 6 Tim Kramer 2007-07-16 11:09:46 EDT
Created attachment 159333 [details]
Here is the /var/lib/luci owner and rights.
Comment 7 Tim Kramer 2007-07-16 11:54:11 EDT
umask is set as 0027
Comment 9 errata-xmlrpc 2007-11-07 10:37:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html

Note You need to log in before you can comment on or make changes to this bug.